<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package travelfic
 */

?>

<footer class="tft-site-footer tft-customizer-typography">
        <div class="tft-container">
            <?php if ( is_active_sidebar( 'footer_sideabr' ) ) { ?>
                <div class="tft-footer-inner tft-container-grid tft-grid-clmn-4">
                    <?php dynamic_sidebar( 'footer_sideabr' ); ?>
                </div>
            <?php } ?>
            
            <div class="tft-footer-copyright">
                <div class="tft-copyrgith-inner">
                    <p class="tft-center">
                    <?php
                        $current_year = date('Y');
                        printf( esc_html__('© Copyright %1$s %2$s by %3$s All Rights Reserved.', 'travelfic'), esc_html($current_year), esc_html( get_bloginfo('name') ), '<a target="_blank" href="'.esc_url("https://themefic.com/").'">Themefic</a>');
                    ?>
                    </p>
                </div>
            </div>
        </div>
    </footer>

</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
