<!doctype html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="https://gmpg.org/xfn/11">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?> id="tft-site-main-body">
<?php wp_body_open(); ?>
<div id="page" class="site">
<a class="skip-link screen-reader-text" href="#tf-site-content"><?php _e('Skip to content', 'travelfic'); ?></a>
<!-- Header Section start -->
<?php
    $travelfic_prefix = 'travelfic_customizer_settings_';
    $travelfic_transparentHeader = get_theme_mod($travelfic_prefix.'transparent_header', 'disabled');
    if(is_archive()  || is_single() || is_404() || is_search()){
        $travelfic_transparentHeader = 'disabled';
    }

    $travelfic_banner = get_theme_mod($travelfic_prefix . 'page_banner', 'banner');
    $travelfic_disable_banner = get_post_meta( get_the_ID(), 'tft-pmb-banner', true );
    $travelfic_stiky = get_theme_mod($travelfic_prefix.'stiky_header', 'disabled');
    if( isset( $travelfic_stiky ) ){
        if( $travelfic_stiky != 'disabled' ){
            $travelfic_stiky_class = 'has_stiky';
        }else{        
            $travelfic_stiky_class = '';
        }
    }

    if (is_page()) {  
        $disable_single_page = get_post_meta( get_the_ID(), 'tft-pmb-transfar-header', true );
        if(!empty($disable_single_page)){
            $travelfic_transparentHeader = 'disabled';
        }
    }
    if (is_page('tf-search')) {  
        $travelfic_transparentHeader = 'disabled';
    }
?>
<header class="tft-site-header tft-customizer-typography <?php echo !empty($travelfic_transparentHeader) && $travelfic_transparentHeader == 'enabled' ? 'tft-theme-transparent-header' : ''; ?>">
    <div class="tft-header-inner <?php echo esc_attr( $travelfic_stiky_class ); ?>">
        <div class="tft-header-desktop">
            <div class="tft-main-header-wrapper tft-container tft-container-grid align-center justify-sp-between">

                <!-- Site Branding/Logo -->
                <div class="tft-header-left site-header-section justify-content-start">
                    <div class="site--brand-logo">
                        <?php
                        if (has_custom_logo()) {
                            if (function_exists('the_custom_logo')) {
                                the_custom_logo();
                            }
                        } else {
                        ?>
                        <div class="logo-text">
                            <a href="<?php echo esc_url(home_url('/')) ?>">
                                <?php bloginfo('name'); ?>
                                <span><?php echo esc_html( get_bloginfo('description', 'display') ); ?></span>
                            </a>
                        </div>
                        <?php
                        }
                        ?>
                    </div>
                </div>

                <!-- Site Navigation Menu -->
                <div class="tft-header-center site-header-section justify-content-center">
                    <nav class="tft-site-navigation">
                        <?php
                            wp_nav_menu(array(
                                'theme_location' => 'primary_menu',
                                'menu_id'        => 'navigation',
                                'container'      => 'ul',
                                'menu_class'     => 'main--header-menu tf-flex'
                            ));
                        ?>
                    </nav>
                </div>
            </div>
        </div>
        <div class="tft-header-mobile">
            <div class="tft-main-header-wrapper tft-container tft-container-flex align-center justify-sp-between">
                <!-- Site Branding/Logo -->
                <div class="tft-header-left site-header-section">
                    <div class="site--brand-logo">
                        <?php
                        if (has_custom_logo()) {
                            the_custom_logo();
                        } else { ?>
                        <div class="logo-text">
                            <a href="<?php echo esc_url(home_url('/')) ?>">
                                <?php bloginfo('name'); ?>
                                <span><?php echo esc_html( get_bloginfo('description', 'display') ); ?></span>
                            </a>
                        </div>
                        <?php  } ?>
                    </div>
                </div>
                <!-- Site Search Bar -->
                <div class="tft-header-center site-header-section">
                    <a href="#" class="tft-mobile_menubar">
                        <div class="tft-menubar-active">
                            <i class="fas fa-bars"></i>
                        </div>
                        <div class="tft-menubar-close">
                            <i class="fas fa-times"></i>
                        </div>
                    </a>
                </div>
            </div>

            <div class="tft-container site-header-section tft-mobile-main-menu">
                <nav class="tft-site-navigation">
                    <?php
                    wp_nav_menu(array(
                        'theme_location' => 'mobile_menu',
                        'menu_id'        => 'navigation',
                        'container' => 'ul',
                        'menu_class' => 'main--header-menu tf-flex',
                        'walker' => new Travelfic_Custom_Nav_Walker(),
                    ));
                    ?>
                </nav>
            </div>
        </div>
    </div>
    <?php
    if( isset( $travelfic_stiky ) ){
        if( $travelfic_stiky != 'disabled' ){
           ?>
           <div class="tft-stiky-header-cover"></div>
           <?php 
        }
    }
    ?>
</header>
<!-- Header Section End -->