<?php
// travelfic Customizer Options
function travelfic_customizer_style()
{
$prefix = 'travelfic_customizer_settings_';
$stiky_bg_color = get_theme_mod($prefix.'stiky_header_bg_color', '#fff');
$stiky_bg_blur = get_theme_mod($prefix.'stiky_header_blur', '24');
$stiky_menu_color = get_theme_mod($prefix.'stiky_header_menu_text_color', '#000');
$primary_color = get_theme_mod($prefix.'primary_color', '#F15D30');


$desk_con = get_theme_mod($prefix.'desktop_container', '1200');
$tab_con = get_theme_mod($prefix.'tablet_container', '');
$mob_con = get_theme_mod($prefix.'mobile_container', '');
$footer_bg = get_theme_mod($prefix.'footer_bg_color', '#fff');
$footer_text_color = get_theme_mod($prefix.'footer_text_color', '#222');



?>

<style>

    /* Default Background Color  */
    .tft-theme-bg,
    .tft-slide-default button.slick-arrow,
    .tft-hero-slider-selector button.slick-arrow,
    .tft-footer-social-link ul li a,
    .tft-search-box .tft-tour-serach-fields-wrap .tf_button.tf-submit,
    .single-form-inner .tft-form-title,
    .tf-sidebar .wp-block-search__button,
    .tft-pagination .page-numbers.current, 
    .tft-fields-subscriptions .wpcf7-submit,
    .tft-sidebar .wp-block-search__button,
    .tft_team_wrapper .tft-single-member .social-media a,
    .wpcf7-form .wpcf7-submit, 
    .tft-search-box .tf_button {
        background: <?php echo !empty($primary_color) ? esc_attr( $primary_color ): '#F15D30'; ?> !important;
    }

    /* Default Font Color  */
    .tft-testimonials-selector .testimonial-footer i,
    .tft-footer-contact ul li i,
    li.current_page_item>a,
    .tft-search-box .tft-tour-serach-fields-wrap .tf_input-inner *,
    .tft-tour-serach-fields-wrap .tf_input-inner,
    .tft-hero-slider-selector .slider__counter,
    .tft-meta-info i,
    .tft-single-tour-info .important-single-info i,
    article i,
    .tft-pagination .nav-links>a ,
    .tft-search-box .tf_input-inner div, 
    .tft-search-box .tf_input-inner div i ,
    .tft-search-box .tf_form-inner input[type=text]::placeholder,
    .tft-search-box .tf_input-inner *,
    .tft-popular-tour-items i,
    .tft-site-navigation ul li a:hover,
    .tft-header-search a:hover,
    .widget_nav_menu ul li a:hover,
    .tft-destination-wrapper .tft-destination-details ul li a:hover{
        color: <?php echo !empty($primary_color) ? esc_attr( $primary_color ) : '#F15D30';
        ?> !important;
    }

    .navbar-shrink {
        background-color: <?php echo !empty($stiky_bg_color) ? esc_attr( $stiky_bg_color ) : '#ffff'; ?>;
        backdrop-filter: blur(<?php echo !empty($stiky_bg_blur.'px') ? esc_attr( $stiky_bg_blur ).'px' : '24px'; ?>);
    }

    .navbar-shrink .tft-site-navigation ul li a, .navbar-shrink a i {
        color: <?php echo !empty($stiky_menu_color) ? esc_attr( $stiky_menu_color ) : '#000'; ?>;
    }


    /* --------Slider--------- */
    .tft-hero-slider-selector .slick-prev {
        left: calc(50% - ( <?php echo !empty( $desk_con ) ? esc_attr( $desk_con ).'px' : '1200px'; ?> / 2) + 20px);
    }
    .tft-hero-slider-selector .slick-next{
        left: calc(50% - ( <?php echo !empty( $desk_con ) ? esc_attr( $desk_con ).'px' : '1200px'; ?> / 2) + 85px);
    }
    .tft-hero-slider-selector .slider__counter{
        left: calc(50% - ( <?php echo !empty( $desk_con ) ? esc_attr( $desk_con ).'px' : '1200px'; ?> / 2) + 200px);
    }
    /* --------- Slider-------- */
    .tft-site-footer {
        background-color: <?php echo !empty($footer_bg) ? esc_attr( $footer_bg ) : '#fff'; ?>;
    }
    .tft-site-footer p{
        color: <?php echo !empty($footer_text_color) ? esc_attr( $footer_text_color ) : '#222'; ?>;
    }
    .tft-full-width {
        width: 100% !important;
    }

    .tft-container {
        max-width: <?php echo !empty( $desk_con ) ? esc_attr( $desk_con ).'px' : '1200px'; ?>;
    }    




    @media(max-width:1200px) {
        .tft-hero-slider-selector .slick-prev {
        left: 20px;
        }
        .tft-hero-slider-selector .slick-next{
            left: 85px;
        }
        .tft-hero-slider-selector .slider__counter{
            left: 200px;
        }
    }


    
    @media(max-width:1024px) {
        .tft-container {
            max-width: <?php echo !empty($tab_con) ? esc_attr( $tab_con ).'px' : '100%'; ?>;
        }

        .tft-hero-slider-selector .slick-prev {
            left: calc(50% - ( <?php echo !empty( $tab_con ) ? esc_attr( $tab_con ).'px' : '100%'; ?> / 2) + 20px);
        }
        .tft-hero-slider-selector .slick-next{
            left: calc(50% - ( <?php echo !empty( $tab_con ) ? esc_attr( $tab_con ).'px' : '100%'; ?> / 2) + 85px);
        }
        .tft-hero-slider-selector .slider__counter{
            left: calc(50% - ( <?php echo !empty( $tab_con ) ? esc_attr( $tab_con ).'px' : '100%'; ?> / 2) + 200px);
        }

    }

    @media(max-width:767px) {
        .tft-container {
            max-width: <?php echo !empty($mob_con) ? esc_attr( $mob_con ).'px' : '100%'; ?>;
        }
    }
</style>

<?php
}
add_action('wp_head', 'travelfic_customizer_style');
